Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.exception
Class CasControlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.endeca.soleng.eac.toolkit.exception.CasControlException

All Implemented Interfaces:
  java.io.Serializable

    public class CasControlException

extends java.lang.Exception

This exception captures various error conditions encountered when executing crawls with the CAS server.

See Also:
  Serialized Form

Constructor Summary
`CasControlException()` Generic constructor.
`CasControlException(java.lang.String message)` Constructor that takes an error message as input.
`CasControlException(java.lang.String message, java.lang.Throwable cause)` Constructor that takes an error message and a nested Throwable as input.
`CasControlException(java.lang.Throwable cause)` Constructor that takes a nested Throwable as input.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CasControlException

    public CasControlException()

  Generic constructor.

### CasControlException

    public CasControlException(java.lang.String message)

  Constructor that takes an error message as input.

  Parameters:
    `message` - Error message associated with this exception.

### CasControlException

    public CasControlException(java.lang.Throwable cause)

  Constructor that takes a nested Throwable as input.

  Parameters:
    `cause` - The nested Throwable associated with this exception.

### CasControlException

    public CasControlException(java.lang.String message,
                               java.lang.Throwable cause)

  Constructor that takes an error message and a nested Throwable as input.

  Parameters:
    `message` - Error message associated with this exception.
    `cause` - The nested Throwable associated with this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Toolkit (eacToolkit)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:15-0500